We just released our native n8n integration!ยป Try now
OnlyFans API
Smart Links

List Smart Link Spenders

Compatibility endpoint returning fans with attributed spend through a Smart Link

GET
/api/smart-links/{smart_link_id}/spenders
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

smart_link_id*string

The ID of the smart link.

Query Parameters

limit?integer

The number of spenders to return per page. Default 50

offset?integer

The offset used for pagination. Default 0

minSpend?number

Minimal spend of a fan. Default 1

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/smart-links/magni/spenders?limit=50&offset=0&minSpend=1"
{
  "data": [
    {
      "onlyfans_id": "100000001",
      "username": "demo_spender_a",
      "revenue": {
        "total": 109.88,
        "calculated_at": "2026-01-31T12:00:00+00:00"
      }
    },
    {
      "onlyfans_id": "100000002",
      "username": "demo_spender_b",
      "revenue": {
        "total": 32.96,
        "calculated_at": "2026-01-31T12:00:00+00:00"
      }
    }
  ],
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 999999,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}